 
<!-- IGAC proyecto SNC -->
<!-- @author felipe.cadena -->
<!-- @description  página en la que se la consulta de actividades 
     relacionadas a la asignacion de usuarios SNC -->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" id="busquedaActividadesForm">


    <script type="text/javascript"
            src="#{request.contextPath}/js/jquery.autotab-1.1b.js" />
    <script type="text/javascript">
        $(document)
                .ready(
                        function () {
                            $(
                                    '#formConsultaTramite'
                                    + validColonString() + 's1,#formConsultaTramite'
                                    + validColonString() + 's2,#formConsultaTramite'
                                    + validColonString() + 's3,#formConsultaTramite'
                                    + validColonString() + 's4,#formConsultaTramite'
                                    + validColonString() + 's5,#formConsultaTramite'
                                    + validColonString() + 's6,#formConsultaTramite'
                                    + validColonString() + 's7,#formConsultaTramite'
                                    + validColonString() + 's8,#formConsultaTramite'
                                    + validColonString() + 's9,#formConsultaTramite'
                                    + validColonString() + 's10,#formConsultaTramite'
                                    + validColonString() + 's11,#formConsultaTramite'
                                    + validColonString() + 's12')
                                    .autotab_magic().autotab_filter('numeric');
                        });
    </script>


    <p:spacer height="10" />


    <p:fieldset>
        <legend> 
            <h:outputLabel
                value="Búsqueda de actividades"
                styleClass="outputLabelStyle" /> 
        </legend>

        <p:spacer height="10" />

        <h:panelGrid columns="4" cellpadding="3" cellspacing="3">

            <h:outputLabel value="UOC: "
                           styleClass="outputLabelStyle" />
            <h:selectOneMenu id="UOCSOM" label="uoc"
                             style="width:150px;"
                             value="#{administracionAsignacionUsuarios.UOCseleccionada}"    
                             disabled="#{!administracionAsignacionUsuarios.banderaSeleccionUOC}">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{administracionAsignacionUsuarios.UOCItemList}" />
                <p:ajax event="change" update="rolSOM, usuarioSOM" listener="#{administracionAsignacionUsuarios.actualizarRolesListener}"/>
            </h:selectOneMenu>

            <p:spacer  />
            <p:spacer  />

            <h:outputLabel value="Rol: "
                           styleClass="outputLabelStyle" />
            <h:selectOneMenu id="rolSOM" label="uoc"
                             style="width:150px;"
                             value="#{administracionAsignacionUsuarios.rolSeleccionado}">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{administracionAsignacionUsuarios.rolesItemList}" />
                <p:ajax event="change" update="usuarioSOM" listener="#{administracionAsignacionUsuarios.actualizarUsuariosListener}"/>
            </h:selectOneMenu>

            <h:outputLabel value="Nombre: "
                           styleClass="outputLabelStyle" />
            <h:selectOneMenu id="usuarioSOM" label="uoc"
                             style="width:150px;"
                             value="#{administracionAsignacionUsuarios.usuarioSeleccionado}">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{administracionAsignacionUsuarios.usuariosRolItemList}" />
            </h:selectOneMenu>

        </h:panelGrid>
    </p:fieldset>
    <p:spacer height="10" />


    <p:spacer height="10" width="25" />

    <p:spacer height="10" width="25" />

    <p:outputPanel layout="block" style="text-align:left">

        <p:spacer height="13" width="13" />

        <p:commandButton value="Buscar" widgetVar="buscarBtn" id="buscarBtn"
                         icon="ui-icon ui-icon-search"
                         update="panelTablaActividades"
                         action="#{administracionAsignacionUsuarios.buscar}"
                         onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();" />
        <p:spacer height="13" width="13" />

        <p:spacer height="13" width="13" />

    </p:outputPanel>


    <p:spacer height="10" width="25" />

    <p:panel header="Trámites resultado de la búsqueda"
             id="panelTablaActividades">

        <p:messages id="msgActividadesAsignacion" showDetail="false" 
                    globalOnly="false" />

        <ui:include src="/conservacion/asignacion/detalleListaActividadesAsignacion.xhtml">

            <ui:param name="listaActividadesParam" value="#{administracionAsignacionUsuarios.actividadesResult}"/>
            <ui:param name="listaActividadesSeleccionadosParam" value="#{administracionAsignacionUsuarios.actividadesSeleccionados}"/>
            <ui:param name="seleccionParam" value="true"/>          
            <ui:param name="actividadDetalleParam" value="#{administracionAsignacionUsuarios.actividadSeleccionadaDetalle}"/>          
        </ui:include>

    </p:panel>

    <h:panelGrid columns="4" cellpadding="3" cellspacing="3">


        <p:outputPanel layout="block" style="text-align:right">
            <p:commandButton value="Agregar" icon="ui-icon-plus" update=":formConsultaTramite:panelActividadesAsignacion"
                             process="@this" title="Agregar" label="Agregar"
                             action="#{administracionAsignacionUsuarios.agregarSeleccion}"
                             ajax="false" />
            <p:spacer height="0" width="10" />
        </p:outputPanel>
        <p:spacer height="7" width="0" />
        <p:outputPanel layout="block" style="text-align:right">
            <p:commandButton value="Cerrar" icon="ui-icon-close"
                             immediate="true" process="@this" title="Cerrar" label="Cerrar"
                             ajax="false" onclick="busquedaActividadesWV.hide();"/>
            <p:spacer height="0" width="10" />
        </p:outputPanel>
    </h:panelGrid>


</h:form>